#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <curl/curl.h>

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt){
    size_t number_count;
	cerr << "Enter number count: ";
    cin >> number_count;
    Input inp;
    inp.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        cerr << "Enter Num[" << i << "]: ";
        cin >> inp.numbers[i];
    }
    if (prompt) {
        cerr << "Enter bin count: ";
    }
    cin >> inp.bin_count;
    return inp;
}
int main(int argc, char* argv[])
{
    curl_global_init(CURL_GLOBAL_ALL);
    if (argc > 1){
        cerr << "argv[0] = " << argv[0] << "argc = " << argc;
        return 0;
    }
    auto in = input_data(cin, true);;
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);

    return 0;
}
